Apache log4cxx: CharMessageBuffer Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CharMessageBuffer Class Reference

List of all members.

## Detailed Description

This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter.

The class is not intended for use outside of that context.

## Public Member Functions
| CharMessageBuffer ()
| Creates a new instance.
| ~CharMessageBuffer ()
| Destructor.
CharMessageBuffer & | operator<< (const std::basic_string< char > &msg)
| Appends string to buffer.
CharMessageBuffer & | operator<< (const char *msg)
| Appends string to buffer.
CharMessageBuffer & | operator<< (char *msg)
| Appends string to buffer.
CharMessageBuffer & | operator<< (const char msg)
| Appends character to buffer.
std::ostream & | operator<< (ios_base_manip manip)
| Insertion operator for STL manipulators such as std::fixed.
std::ostream & | operator<< (bool val)
| Insertion operator for built-in type.
std::ostream & | operator<< (short val)
| Insertion operator for built-in type.
std::ostream & | operator<< (int val)
| Insertion operator for built-in type.
std::ostream & | operator<< (unsigned int val)
| Insertion operator for built-in type.
std::ostream & | operator<< (long val)
| Insertion operator for built-in type.
std::ostream & | operator<< (unsigned long val)
| Insertion operator for built-in type.
std::ostream & | operator<< (float val)
| Insertion operator for built-in type.
std::ostream & | operator<< (double val)
| Insertion operator for built-in type.
std::ostream & | operator<< (long double val)
| Insertion operator for built-in type.
std::ostream & | operator<< (void *val)
| Insertion operator for built-in type.
| operator std::basic_ostream ()
| Cast to ostream.
const std::basic_string< char > & | str (std::basic_ostream< char > &os)
| Get content of buffer.
const std::basic_string< char > & | str (CharMessageBuffer &buf)
| Get content of buffer.
bool | hasStream () const
| Returns true if buffer has an encapsulated STL stream.

## Constructor & Destructor Documentation

CharMessageBuffer | ( |  | ) |

| Creates a new instance.

~CharMessageBuffer | ( |  | ) |

| Destructor.

## Member Function Documentation

bool hasStream | ( |  | ) | const

| Returns true if buffer has an encapsulated STL stream. Returns: true if STL stream was created.

operator std::basic_ostream | ( |  | ) |

| Cast to ostream.

std::ostream& operator<< | ( | void * | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | long double | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | double | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | float | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | unsigned long | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | long | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | unsigned int | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | int | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | short | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | bool | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

std::ostream& operator<< | ( | ios_base_manip | manip | ) |

  | Insertion operator for STL manipulators such as std::fixed. Parameters:
  | manip | manipulator.
Returns: encapsulated STL stream.

CharMessageBuffer& operator<< | ( | const char | msg | ) |

  | Appends character to buffer. Parameters:
  | msg | character to append.
Returns: this buffer.

CharMessageBuffer& operator<< | ( | char * | msg | ) |

  | Appends string to buffer. Parameters:
  | msg | string to append.
Returns: this buffer.

CharMessageBuffer& operator<< | ( | const char * | msg | ) |

  | Appends string to buffer. Parameters:
  | msg | string to append.
Returns: this buffer.

CharMessageBuffer& operator<< | ( | const std::basic_string< char > & | msg | ) |

  | Appends string to buffer. Parameters:
  | msg | string append.
Returns: this buffer.

const std::basic_string<char>& str | ( | CharMessageBuffer & | buf | ) |

  | Get content of buffer. Parameters:
  | buf | used only to signal that the embedded stream was not used.

const std::basic_string<char>& str | ( | std::basic_ostream< char > & | os | ) |

  | Get content of buffer. Parameters:
  | os | used only to signal that the embedded stream was used.

The documentation for this class was generated from the following file:

- messagebuffer.h